Package org.springframework.security.web.util.matcher

# Class RequestMatcher.MatchResult

java.lang.Object
org.springframework.security.web.util.matcher.RequestMatcher.MatchResult

Enclosing interface:
  RequestMatcher

public static class RequestMatcher.MatchResult extends Object
The result of matching against an HttpServletRequest Contains the status, true or false, of the match and if present, any variables extracted from the match

Since:
  5.2

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getVariables()`
Returns the extracted variable values where the key is the variable name and the value is the variable value
`boolean`
`isMatch()`
`static RequestMatcher.MatchResult`
`match()`
Creates an instance of `RequestMatcher.MatchResult` that is a match with no variables
`static RequestMatcher.MatchResult`
`match(Map<String,String> variables)`
Creates an instance of `RequestMatcher.MatchResult` that is a match with the specified variables
`static RequestMatcher.MatchResult`
`notMatch()`
Creates an instance of `RequestMatcher.MatchResult` that is not a match.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isMatch

public boolean isMatch()

Returns:
  true if the comparison against the HttpServletRequest produced a successful match

### getVariables

public Map<String,String> getVariables()
Returns the extracted variable values where the key is the variable name and the value is the variable value

Returns:
  a map containing key-value pairs representing extracted variable names and variable values

### match

public static RequestMatcher.MatchResult match()
Creates an instance of `RequestMatcher.MatchResult` that is a match with no variables

Returns:

### match

public static RequestMatcher.MatchResult match(Map<String,String> variables)
Creates an instance of `RequestMatcher.MatchResult` that is a match with the specified variables

Parameters:
  `variables` -
Returns:

### notMatch

public static RequestMatcher.MatchResult notMatch()
Creates an instance of `RequestMatcher.MatchResult` that is not a match.

Returns: